﻿Connect-MicrosoftTeams
$date = Get-Date -UFormat "%Y%m%dT%H%M%S"
$DesktopUser = $env:USERNAME
$ReturnFile = "C:\Users\"+ $DesktopUser +"\Documents\Return\AuditoriasTEAMS_" + $date +".csv"
$GETTEAMS = Get-Team

$Value = "TEAMS;TipodeTEAMS;NombreCanal;DescripcionCanal;UsuariosTeams;NombredelUsuario;RoldeUsuario"
Add-Content -Path $ReturnFile -Value $Value
#$GETTEAMS
foreach($TEAMS in $GETTEAMS)
{
    #$TEAMS.GroupID
    #$TEAMS.DisplayName
    #$TEAMS.Visibility 

    Write-Host "`n`tLos datos de los grupos de TEAMS son:" 
    Write-Host "`tNombre del Equipo de TEAMS: " -NoNewline -ForegroundColor DarkCyan
    Write-Host  $TEAMS.DisplayName -ForegroundColor Green
    Write-Host "`tEl ObjectId del TEAMS: " -NoNewline -ForegroundColor DarkCyan
    Write-Host $TEAMS.GroupID
    Write-Host "`tEl ptipo de TEAMS: " -NoNewline -ForegroundColor DarkCyan
    Write-Host $TEAMS.Visibility 
    
    If($TEAMS.GroupID -ne $Null)
    {
        $GETCHANNELS = Get-TeamChannel -GroupId $TEAMS.GroupID
        foreach($Channels in $GETCHANNELS)
        {
            Write-Host "`tNombre del Canal: " -NoNewline -ForegroundColor DarkGreen
            Write-Host $Channels.DisplayName -ForegroundColor Green
            Write-Host "`tEl Id del Canal: " -NoNewline -ForegroundColor DarkGreen
            Write-Host $Channels.ID
        
            If($Channels.Description -ne "")
            {
                Write-Host "`tLa descripción del Canal: " -NoNewline -ForegroundColor DarkGreen
                Write-Host $Channels.Description -ForegroundColor Green

            }
            $Value = $TEAMS.DisplayName + ";" + $TEAMS.Visibility + ";" + $Channels.DisplayName + ";" + $Channels.Description 
            Add-Content -Path $ReturnFile -Value $Value
        }
        $GETTEAMUSER = Get-TeamUser -GroupId $TEAMS.GroupID
        foreach($TUsers in $GETTEAMUSER)
        {
            $TUsers.User
            $TUsers.Name
            $TUsers.Role
            $VALUE = ";;;;" + $TUsers.User + ";" + $TUsers.Name + ";" + $TUsers.Role
            Write-Host 
            Add-Content -Path $ReturnFile -Value $Value
        }

    }
    Else
    {
        Write-Host "EL ID esta Vacio" -ForegroundColor Red

    }
    
}